## tac

#### OS/161 Reference Manual

### Name

`tac` - print in reverse order

### Synopsis

`/bin/tac` files...

### Description

`tac` prints the files listed on its command line in reverse order to its standard output. If the magic filename "-" is encountered, `tac` prints its standard input up to the first EOF. Each file is printed backwards in line-by-line fashion.

With no arguments, `tac` prints its standard input.

`tac` takes no options.

### Requirements

`tac` uses the following syscalls:

- getpid
- open
- read
- write
- close
- remove
- _exit

`tac` should function properly once the basic system calls assignment is completed. However, until the file system assignment is done and the remove system call implemented, it will leave two scratch files behind per invocation.